Subject: Re: Stitching together private svn repo and public git repo

From: Charles Bailey <[email-masked]>
Date: Wed, 2 Jan 2008 22:46:11 +0000

On Thu, Jan 03, 2008 at 01:13:54AM +0300, Dmitry Potapov wrote:
> I believe there is a much easier way to do that using .git/info/grafts
> The first step is to create .git/info/grafts, which specifies commit-id
> and its parents for each commit that you want to change. Then you
> can check the result using gitk, and if you are satisfied with what
> you see then you run git filter-branch on it to convert 'fake' parents
> into real ones.
> 
> Dmitry
> 

Oh yes, this is much easier.  Unless I'm missing something, the
documentation on grafts is fairly sparse, though.  They are mentioned
(almost in passing) in git help filter-branch but the file format is
only documented in repository-layout.txt which seems more developer
than user oriented.

Charles.